Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
billing
/
preview
Billing Preview
curl --request POST \
  --url https://almanac-backend-83vc.onrender.com/v1/organizations/{organization_id}/billing/preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan_id": "<string>"
}
'
{
  "plan_id": "<string>",
  "checkout_type": "<string>",
  "currency": "<string>",
  "line_items": [
    {
      "name": "<string>",
      "description": "<string>",
      "quantity": 123,
      "subtotal": 123,
      "total": 123
    }
  ],
  "redirect_to_checkout": false,
  "subtotal": 123,
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

organization_id
string
required

Body

application/json
plan_id
string
required

Response

Successful Response

plan_id
string
required
checkout_type
string | null
currency
string | null
line_items
HostedBillingPreviewLine · object[]
redirect_to_checkout
boolean
default:false
subtotal
number | null
total
number | null